Subject: Re: How Long for False Indigo to Bloom?

From: [email-masked] (Robert C. Vaiden)
Date: 7 Apr 1995 13:13:44 GMT

There is a CHANCE it might bloom this year, but it will
probably take another year or two-prairie plants spend their
first few years putting down roots rather than flowering.  I
think mine took 4 years (and it was a 1 year seedling).  At the
prairie restoration at Meadowbrook Park, Urbana, baptisia bloomed
in small numbers in 1993 (planted in 1990), and we had about 40
bloom in a 2 acre area in 1994....or in otherwords, out of many
(1000???) seeds, 3 or 4 bloomed in three years, and a bunch in
4 years.  These were the white variety (species name escapes me 
right now!).

For companions, plant other native prairie plants-lots of books
on the subject in bookstores.  Also, if you're "within range" of
Urbana, come to the U of I Flower and Garden Show at the Stock 
Pavilion this weekend-Grand Prairie Friends will have an exhibit
there.  There's always formal gardens, woodland gardens, and
lots of others at this show-it's really neat!

Bob Vaiden

In a previous article, [email-masked] (Sharon E. McDonald) says:

>
>I planted Baptisia Australis (sp?) in the summer of 1993, but it still 
>hasn't bloomed.  Last summer it grew to almost four feet and had one tiny 
>bloom, but no more.  Does anyone have experience with False Indigo?  
>
>It's gets full sun, and I haven't fertilized as I read it gets nitrogen from 
>the air.  Can I possibly *finally* expect some beautiful indigo blooms 
>this, it's 3rd, summer?
>
>Also, any suggestions on an smaller, attractive companion plant to put in 
>front of it?
>
>Thanks.
>
>Sharon McDonald
>Zone 5, East Central Illinois
>
>
>-- 
>

---

From: [email-masked] (Robert C. Vaiden)
Date: 7 Apr 1995 13:13:44 GMT

Bob Vaiden

---

From: [email-masked] (Robert C. Vaiden)
Date: 7 Apr 1995 13:13:44 GMT

Bob Vaiden

---

From: [email-masked] (Sharon E. McDonald)
Date: 6 Apr 1995 16:03:38 GMT

Thanks.

Sharon McDonald

--